Bug 876248 - /var/log/katello/client.log reports success and error
/var/log/katello/client.log reports success and error
Status: CLOSED UPSTREAM
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Client & Agent (Show other bugs)
6.0.1
Unspecified Unspecified
low Severity low (vote)
: Unspecified
: 6.0
Assigned To: Bryan Kearney
Katello QA List
: EasyFix, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-13 11:23 EST by James Laska
Modified: 2014-09-18 12:47 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-19 14:13:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
/var/log/katello/client.log (8.74 KB, text/plain)
2012-11-13 11:23 EST, James Laska
no flags Details

  None (edit)
Description James Laska 2012-11-13 11:23:11 EST
Created attachment 644205 [details]
/var/log/katello/client.log

Description of problem:

All katello CLI operations are reported as errors in /var/log/katello/client.log.

Version-Release number of selected component (if applicable):
 * candlepin-0.7.8.1-1.el6cf.src.rpm
 * katello-1.1.12-22.el6cf.src.rpm
 * katello-candlepin-cert-key-pair-1.0-1.src.rpm
 * katello-certs-tools-1.1.8-1.el6cf.src.rpm
 * katello-cli-1.1.8-12.el6cf.src.rpm
 * katello-configure-1.1.9-12.el6cf.src.rpm
 * katello-qpid-broker-key-pair-1.0-1.src.rpm
 * katello-qpid-client-key-pair-1.0-1.src.rpm
 * katello-selinux-1.1.1-2.el6cf.src.rpm
 * pulp-1.1.14-1.el6cf.src.rpm


How reproducible:
 * pretty darn easy

Steps to Reproduce:
1. Install katello
2. Perform content operations using the katello cli (create users/orgs, import manifest, enable repos, sync content etc..)
3. Inspect /var/log/katello/client.log
  
Actual results:

 * client.log reports errors even for successful operations

Expected results:

 * A successful operation should not be reported as an error

Additional info:

> # head /var/log/katello/client.log
> 2012-11-12 11:30:09,513 [ERROR][MainThread] main() @ base.py:437 - error: Successfully created org [ redhat ]
> 2012-11-12 11:30:12,584 [ERROR][MainThread] main() @ base.py:437 - error: Successfully created environment [ Dev ]
> 2012-11-12 11:30:13,811 [ERROR][MainThread] main() @ base.py:437 - error: Successfully created environment [ Test ]
> 2012-11-12 11:30:15,121 [ERROR][MainThread] main() @ base.py:437 - error: Successfully created environment [ Prod ]
Comment 2 Lukas Zapletal 2012-12-10 10:34:25 EST
EasyFix
Comment 3 Bryan Kearney 2012-12-18 11:06:37 EST
https://github.com/Katello/katello/pull/1286
Comment 4 Bryan Kearney 2012-12-18 11:30:10 EST
commit 3a12524cec1d9db57a9d0c12b1e29ee665c54e82
Author: Bryan Kearney <bkearney@redhat.com>
Date:   Tue Dec 18 11:03:41 2012 -0500

    876248: Successful actions should be logged as info, not as errors
Comment 5 Mike McCune 2013-08-16 14:07:16 EDT
getting rid of 6.0.0 version since that doesn't exist
Comment 8 Mike McCune 2013-09-19 14:13:36 EDT
These bugs have been resolved in upstream projects for a period of months so I'm mass-closing them as CLOSED:UPSTREAM.  If this is a mistake feel free to re-open.

Note You need to log in before you can comment on or make changes to this bug.